Get document's attributes
GET/documents/:documentId/attributes
Get a listing of a document's attributes
Request
Path Parameters
Document Identifier
Query Parameters
Site Identifier
Limit Results
10Next page of results token
Responses
- 200
200 OK
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
- application/json
- Schema
- Example (from schema)
Schema
Array [
Array [
]
]
Next page of results token
attributes
object[]
List of attributes
Attribute key
Attribute with string value
Attribute with string values
Attribute with number value
Attribute with number values
Attribute with boolean value
Inserted Timestamp
User who added attribute
Attribute Value Type
Possible values: [BOOLEAN, KEY_ONLY, NUMBER, STRING, PUBLICATION, CLASSIFICATION, COMPOSITE_STRING, RELATIONSHIPS, WATERMARK, ENTITY]
entity
object
Entity identifier
Entity Type identifier
Entity Name
Inserted Timestamp
attributes
object[]
List of Entity Attributes
Attribute key
Attribute with string value
Attribute with string values
Attribute with number value
Attribute with number values
Attribute with boolean value
Attribute Value Type
Possible values: [BOOLEAN, KEY_ONLY, NUMBER, STRING, PUBLICATION, CLASSIFICATION, COMPOSITE_STRING, RELATIONSHIPS, WATERMARK, ENTITY]
{
"next": "string",
"attributes": [
{
"key": "string",
"stringValue": "string",
"stringValues": [
"string"
],
"numberValue": 0,
"numberValues": [
0
],
"booleanValue": true,
"insertedDate": "string",
"userId": "string",
"valueType": "BOOLEAN",
"entity": {
"entityId": "string",
"entityTypeId": "string",
"name": "string",
"insertedDate": "string",
"attributes": [
{
"key": "string",
"stringValue": "string",
"stringValues": [
"string"
],
"numberValue": 0,
"numberValues": [
0
],
"booleanValue": true,
"valueType": "BOOLEAN"
}
]
}
}
]
}